Bug 182456 - Kernel loads DVD drive as hdc instead of scd0, makes it PIO-only
Kernel loads DVD drive as hdc instead of scd0, makes it PIO-only
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
MassClosed
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-02-22 12:40 EST by Aaron Kurtz
Modified: 2013-07-02 22:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:40:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Default boot, DVD as hdc and no DMA (17.80 KB, application/octet-stream)
2006-04-18 01:42 EDT, Aaron Kurtz
no flags Details

  None (edit)
Description Aaron Kurtz 2006-02-22 12:40:19 EST
Description of problem:
I'm using a Toshiba Satellite M55-3292 laptop. The harddrive and dvd drive
are SATA drives, and the hard drive is treated as such. However, the
dvd drive is loaded as an ATA drive apparently, as it shows up under
/dev/hdc. It works, but DMA is not enabled and can not be enabled. When
I add hdc=noprobe to the kernel line in grub, the dvd drive loads as scd0
and everything seems fine.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1969_FC5

Additional info:
hdc: MATSHITADVD-RAM UJ-840S, ATAPI CD/DVD-ROM drive
Intel 915GM Chipset
ata_piix, ahci, libata, scsi_mod are loaded when drive is shown at hdc

What additional information would be useful?
Comment 1 Dave Jones 2006-03-06 12:52:46 EST
is there a setting in your bios that mentions something like 'combined mode' or
'legacy' mode relating to sata ?
If so, disable it.
Comment 2 Aaron Kurtz 2006-03-11 18:02:20 EST
There is nothing in my BIOS that relates to SATA. On further
investigation, the hard drive and DVD drive might not be
SATA, but ATA instead. The drive is loaded as SCSI, and
the DVD drive needs to be loaded as such if one wants DMA.
There's a SATA controller in the laptop, but the harddrive
is ATA from what I've seen. Perhaps they've put in a SATA-ATA
converter? Sorry, but the drive's not easily user accessible.
Comment 3 Dave Jones 2006-03-17 15:32:13 EST
can you attach dmesg output ?
If it's ATA, then hdc is the correct node for it.
Comment 4 Steve 2006-03-29 12:32:45 EST
duplicate of bug 163418
There is currently 'experimental' atapi through SATA support and SATA dvd
support. It works well for me. I have DMA on my DVDRW.
Comment 5 Aaron Kurtz 2006-04-18 01:42:15 EDT
Created attachment 127904 [details]
Default boot, DVD as hdc and no DMA

Attached the dmesg output from the default boot.
The drive is available as /dev/hdc, and does not
and can not have DMA enabled.
Comment 6 Dave Jones 2006-10-16 15:13:31 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Jon Stanley 2008-01-19 23:40:52 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.